NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.SectionLineCreationBuilder Class Reference

Represents a NXOpen.Tooling.SectionLineCreationBuilder which is used to create or edit the section line creation. More...

Inheritance diagram for NXOpen.Tooling.SectionLineCreationBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Line CreateTemporaryLine (NXOpen.Point3d pointData, NXOpen.Vector3d direction)
 Create temporary line More...
 
unsafe void PointSubFunction ()
 Define the cut segment position More...
 
unsafe void RemoveAll (NXOpen.Line[] curveList)
 Remove all cut segments More...
 
unsafe void RemoveLast (NXOpen.Line curveTag)
 Remove the last cut segment More...
 
unsafe void ReverseVector ()
 Reverse vector direction More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point SelectPoint [get, set]
 Returns or sets the pnt select point More...
 
unsafe NXOpen.Direction VectorDefineDirection [get, set]
 Returns or sets the vector direction More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.SectionLineCreationBuilder which is used to create or edit the section line creation.

To create a new instance of this class, use NXOpen.Tooling.ToolingDrawingCollection.CreateSectionLineCreationBuilder

Created in NX8.5.0

Member Function Documentation

unsafe NXOpen.Line NXOpen.Tooling.SectionLineCreationBuilder.CreateTemporaryLine ( NXOpen.Point3d  pointData,
NXOpen.Vector3d  direction 
)
inline

Create temporary line

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
pointData
direction
Returns
unsafe void NXOpen.Tooling.SectionLineCreationBuilder.PointSubFunction ( )
inline

Define the cut segment position

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SectionLineCreationBuilder.RemoveAll ( NXOpen.Line[]  curveList)
inline

Remove all cut segments

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveList
unsafe void NXOpen.Tooling.SectionLineCreationBuilder.RemoveLast ( NXOpen.Line  curveTag)
inline

Remove the last cut segment

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveTag
unsafe void NXOpen.Tooling.SectionLineCreationBuilder.ReverseVector ( )
inline

Reverse vector direction

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Point NXOpen.Tooling.SectionLineCreationBuilder.SelectPoint
getset

Returns or sets the pnt select point

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Direction NXOpen.Tooling.SectionLineCreationBuilder.VectorDefineDirection
getset

Returns or sets the vector direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.